cURL
curl -i -X POST "https://api.box.com/2.0/metadata_taxonomies/enterprise_123456/geography/levels:append" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"displayName": "City",
"description": "City Level"
}'client.metadata_taxonomies.add_metadata_taxonomy_level(
namespace, taxonomy_key, "Region", description="Region Description"
)await client.metadataTaxonomies.addMetadataTaxonomyLevel(
namespace,
taxonomyKey,
{
displayName: 'Region',
description: 'Region Description',
} satisfies AddMetadataTaxonomyLevelRequestBody,
);try await client.metadataTaxonomies.addMetadataTaxonomyLevel(namespace: namespace, taxonomyKey: taxonomyKey, requestBody: AddMetadataTaxonomyLevelRequestBody(displayName: "Region", description: "Region Description"))client.getMetadataTaxonomies().addMetadataTaxonomyLevel(namespace, taxonomyKey, new AddMetadataTaxonomyLevelRequestBody.Builder("Region").description("Region Description").build())await client.MetadataTaxonomies.AddMetadataTaxonomyLevelAsync(namespaceParam: namespaceParam, taxonomyKey: taxonomyKey, requestBody: new AddMetadataTaxonomyLevelRequestBody(displayName: "Region") { Description = "Region Description" });{
"entries": [
{
"displayName": "Continent",
"description": "Continent",
"level": 1
}
]
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}エンドポイント
メタデータ階層レベルを追加
新しいメタデータ階層レベルを作成し、既存のレベルに追加します。定義されているレベルがない場合は、第1レベルを作成します。
POST
/
metadata_taxonomies
/
{namespace}
/
{taxonomy_key}
/
levels:append
cURL
curl -i -X POST "https://api.box.com/2.0/metadata_taxonomies/enterprise_123456/geography/levels:append" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"displayName": "City",
"description": "City Level"
}'client.metadata_taxonomies.add_metadata_taxonomy_level(
namespace, taxonomy_key, "Region", description="Region Description"
)await client.metadataTaxonomies.addMetadataTaxonomyLevel(
namespace,
taxonomyKey,
{
displayName: 'Region',
description: 'Region Description',
} satisfies AddMetadataTaxonomyLevelRequestBody,
);try await client.metadataTaxonomies.addMetadataTaxonomyLevel(namespace: namespace, taxonomyKey: taxonomyKey, requestBody: AddMetadataTaxonomyLevelRequestBody(displayName: "Region", description: "Region Description"))client.getMetadataTaxonomies().addMetadataTaxonomyLevel(namespace, taxonomyKey, new AddMetadataTaxonomyLevelRequestBody.Builder("Region").description("Region Description").build())await client.MetadataTaxonomies.AddMetadataTaxonomyLevelAsync(namespaceParam: namespaceParam, taxonomyKey: taxonomyKey, requestBody: new AddMetadataTaxonomyLevelRequestBody(displayName: "Region") { Description = "Region Description" });{
"entries": [
{
"displayName": "Continent",
"description": "Continent",
"level": 1
}
]
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。「Box SDKのバージョニング戦略について詳しく学ぶ。」
承認
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
application/json
レスポンス
すべてのメタデータ階層レベルの配列を返します。
メタデータ階層のレベルは、メタデータ階層構造内の階層カテゴリを表します。
すべてのメタデータ階層レベルの配列。
Show child attributes
Show child attributes
最終更新日 2026年7月8日
このページは役に立ちましたか?
⌘I
